Subject: Re: bug#74775: [PATCH] Update browse-url-kde variables

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Dec 2024 21:07:17 +0200

> From: Björn Bidar <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 11 Dec 2024 19:41:32 +0200
> 
> > I'd prefer not to change defaults in Emacs 30 at this point, but if
> > you think the current defaults might be not useful, then I'll ask in
> > what version(s) of current systems using KDE this change happened, and
> > how probable is it that users are still using those old versions?
> 
> The change happened in KDE 4 which was released in 2008. The change
> would break users of KDE3 which isn't supported anymore since 15 years
> by now.
> So the change would fix the behavior of users which are still on KDE 4
> or 5
> (Technically KDE Plasma in this context after KDE3) and those which use
> the latest stable KDE Plasma 6.
> 
> > Installing on master doesn't need to delve into these issues, since if
> > we are wrong, we have enough time for users to holler and for us to
> > fix.  Emacs 30, OTOH, is very close to the release, so we must be very
> > certain this change cannot cause any trouble.
> 
> I don't think there's a chance for that.

Famous last words...

> If you decide to install the change on Emacs 30. Do you want me to send
> the patch again with the changes mentioned by you i.e. defcustom version
> and type?

I still think we should install this on master.  AFAIK, we had exactly
zero complaints about these defaults, perhaps for the simple reason
that it is easy to customize a user option if its default is wrong for
a user.